# $Revision: 1.26 $, $Date: 2009/02/18 22:20:15 $
Summary:	webapps framework
Summary(pl.UTF-8):	Szkielet dla aplikacji WWW
Name:		webapps
Version:	0.3.1
Release:	3
License:	GPL
Group:		Applications/WWW
Source0:	%{name}.README
Source1:	%{name}.sh
Source2:	webapp-bash_completion.sh
Requires:	coreutils
Conflicts:	apache < 2.0.55-2.2
Conflicts:	apache1 < 1.3.34-3.2
Conflicts:	lighttpd < 1.4.7-2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/webapps
%define		_bashcompletiondir	/etc/bash_completion.d

%description
webapps is a package for having web applications configuration files
and webserver config fragments in unified place.

%description -l pl.UTF-8
webapps to pakiet pozwalający trzymać pliki konfiguracyjne aplikacji
WWW i fragmenty konfiguracji serwera WWW w jednym miejscu.

%package -n bash-completion-webapps
Summary:	bash completion for webapps
Summary(pl.UTF-8):	Dopełnienia basha dla webapps
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion

%description -n bash-completion-webapps
Bash completion for webapps.

%description -n bash-completion-webapps -l pl.UTF-8
Dopełnienia basha dla webapps.

%prep
%setup -qcT
cp %{SOURCE0} README

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},%{_bashcompletiondir}}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sbindir}/webapp
install %{SOURCE2} $RPM_BUILD_ROOT%{_bashcompletiondir}/webapp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %attr(751,root,http) %{_sysconfdir}
%attr(755,root,root) %{_sbindir}/*

%files -n bash-completion-webapps
%defattr(644,root,root,755)
%{_bashcompletiondir}/webapp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: webapps.spec,v $
Revision 1.26  2009/02/18 22:20:15  glen
- webapps doesn't really require webserver (break dep loop); rel 3

Revision 1.25  2009/02/03 18:56:39  glen
- restore webapp_applist(); rel 2

Revision 1.24  2009/01/05 15:05:16  glen
- 0.3.1: fix listing registered webapps in bash completion

Revision 1.23  2008/08/21 14:20:37  glen
- add webserver(expires)

Revision 1.22  2008/08/18 18:57:29  glen
- rel 4: descripe webserver(setenv), webserver(php) in README

Revision 1.21  2007/02/25 20:25:11  arekm
- rel 3; webapps subpackage for bash completion

Revision 1.20  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.18  2006/11/28 14:51:30  glen
- updated README; rel 2

Revision 1.17  2006/09/29 10:50:59  glen
- bash completion support; version 0.3

Revision 1.16  2006/02/27 09:24:45  glen
- rel 6

Revision 1.15  2006/01/06 17:58:39  glen
- R: coreutils for readlink and others

Revision 1.14  2006/01/04 16:26:08  glen
- apache is no longer virtual, so adding conflict on incompatible apache2
- rel 5

Revision 1.13  2005/12/19 09:18:37  glen
- warn user having partial upgrade that he's doomed; rel 4

Revision 1.12  2005/12/19 09:03:20  glen
- fixed wrong README; rel 3

Revision 1.11  2005/12/10 12:25:38  glen
- rel 2

Revision 1.10  2005/12/05 18:53:26  glen
- webapp modules support; version 0.2

Revision 1.9  2005/11/29 19:23:55  glen
- rel 1

Revision 1.8  2005/11/28 08:50:30  glen
- require webserver virtual

Revision 1.7  2005/11/20 21:58:30  glen
- list incompatible webservers here

Revision 1.6  2005/11/20 21:29:15  qboosh
- pl, added missing setup

Revision 1.5  2005/11/20 17:26:51  glen
- cleanup

Revision 1.4  2005/11/20 17:26:32  glen
- add webapp script

Revision 1.3  2005/11/20 17:04:14  glen
- siplify, webapp configs at top webapps dir

Revision 1.2  2005/11/20 17:02:35  glen
- file layout described in README

Revision 1.1  2005/11/20 17:01:41  glen
- initial idea
